CUrrent Browser Not Supported trying to Add DropBox in Windows CloudMounter(Read 1981 times)
I'm using CloudMounter build 1.5, v1.5.1475 on Windows 10 and when I try to add DropBox, a window opens up that says "Upgrade your browser to use Dropbox
Your current browser is not supported. "

How do I fix this?



Sorry for this inconvenience. Please contact our support team via email regarding this issue: support@eltima.com
We will be happy to investigate the problem.



 

Sitemap 1 2 3 4 5